<?php

namespace Litecms\ManageIP\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ManageIPTransformer extends TransformerAbstract
{
    public function transform(\Litecms\ManageIP\Models\ManageIP $manage_i_p)
    {
        return [
            'id'                => $manage_i_p->getRouteKey(),
            'key'               => [
                'public'    => $manage_i_p->getPublicKey(),
                'route'     => $manage_i_p->getRouteKey(),
            ], 
            'ip_address'        => $manage_i_p->ip_address,
            'status'            => $manage_i_p->status,
            'url'               => [
                'public'    => trans_url('manage_i_p/'.$manage_i_p->getPublicKey()),
                'user'      => guard_url('manage_i_p/manage_i_p/'.$manage_i_p->getRouteKey()),
            ], 
            'status'            => trans('app.'.$manage_i_p->status),
            'created_at'        => format_date($manage_i_p->created_at),
            'updated_at'        => format_date($manage_i_p->updated_at),
        ];
    }
}